﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ZXing;

namespace BarCodeDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btngnrte_Click(object sender, EventArgs e)
        {
            BarcodeWriter brcode = new BarcodeWriter()
            {
                Format = BarcodeFormat.CODE_128
            };
            pictureBox1.Image = brcode.Write(textBox1.Text);
        }

        private void btnsave_Click(object sender, EventArgs e)
        {
            using (SaveFileDialog fileDialog=new SaveFileDialog() {Filter="PNG|*.png" })
            {
                if (fileDialog.ShowDialog()==DialogResult.OK)
                {
                    pictureBox1.Image.Save(fileDialog.FileName);
                }
            }
           
        }
    }
}
